"""
Courier model
"""

from django.db import models
from core.http.models import base
from core.http.models.user import User


class Courier(base.AbstractBaseModel):
    user_id = models.ForeignKey(
        to=User, on_delete=models.CASCADE, related_name="couriers"
    )

    def __str__(self):
        return f"Courier - {self.user_id}"

    class Meta:
        verbose_name = "Courier"
        verbose_name_plural = "Couriers"
        db_table = "courier"
